##parameters=key=None
# $Id: sessions_voc.py 1986 2007-07-05 09:10:38Z henrik $
"""
Return the sessions as an vocabulary

"""
if key is None:
    # not used for WAeUPSessionWidget, only for SelectWidget
    l = [('-1','N/A')]
    for y in range(1998,2008):
        l.append( ('%s' % str(y)[-2:],'%4d/%4d' % (y,y+1)))
    return l

try:
    y = int(key)
except:
    return 'N/A'
if y == -1:
    return 'N/A' 
if y < 90:
    cent = 2000
else:
    cent = 1900
return "%4d/%4d" % (cent+y, cent+y+1)

